## Generated SDC file "keim08_top.out.sdc"

## Copyright (C) 2018  Intel Corporation. All rights reserved.
## Your use of Intel Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Intel Program License 
## Subscription Agreement, the Intel Quartus Prime License Agreement,
## the Intel FPGA IP License Agreement, or other applicable license
## agreement, including, without limitation, that your use is for
## the sole purpose of programming logic devices manufactured by
## Intel and sold by Intel or its authorized distributors.  Please
## refer to the applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus Prime"
## VERSION "Version 18.0.0 Build 614 04/24/2018 SJ Lite Edition"

## DATE    "Wed Sep 19 13:42:45 2018"

##
## DEVICE  "10M08SCU169I7G"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {altera_reserved_tck} -period 100.000 -waveform { 0.000 50.000 } [get_ports {altera_reserved_tck}]
create_clock -name {clk} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk}]


#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {avclk} -source [get_pins {u0|altpll|sd1|pll7|inclk[0]}] -duty_cycle 50/1 -multiply_by 8 -divide_by 5 -master_clock {clk} [get_pins {u0|altpll|sd1|pll7|clk[0]}] 
create_generated_clock -name {sdclk} -source [get_pins {u0|altpll|sd1|pll7|inclk[0]}] -duty_cycle 50/1 -multiply_by 8 -divide_by 5 -phase 207/1 -master_clock {clk} [get_pins {u0|altpll|sd1|pll7|clk[1]}] 
create_generated_clock -name {tck} -source [get_ports {altera_reserved_tck}] -master_clock {altera_reserved_tck} [get_ports {altera_reserved_tdi altera_reserved_tdo altera_reserved_tms}] 
create_generated_clock -name {flash_se_neg_reg} -source [get_pins {u0|altpll|sd1|pll7|clk[0]}] -master_clock {avclk} [get_registers {keim08core_jtaguart:u0|altera_onchip_flash:onchip_flash|altera_onchip_flash_avmm_data_controller:avmm_data_controller|flash_se_neg_reg}] 
create_generated_clock -name {tdo} -source [get_ports {altera_reserved_tck}] -master_clock {altera_reserved_tck} [get_registers {sld_hub:auto_hub|alt_sld_fab_with_jtag_input:\instrumentation_fabric_with_node_gen:fabric_gen_new_way:with_jtag_input_gen:instrumentation_fabric|alt_sld_fab:instrumentation_fabric|alt_sld_fab_alt_sld_fab:alt_sld_fab|alt_sld_fab_alt_sld_fab_sldfabric:sldfabric|sld_jtag_hub:\jtag_hub_gen:real_sld_jtag_hub|tdo}] 


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {sdclk}] -rise_to [get_clocks {avclk}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {sdclk}] -fall_to [get_clocks {avclk}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {sdclk}] -rise_to [get_clocks {avclk}]  0.030  
set_clock_uncertainty -fall_from [get_clocks {sdclk}] -fall_to [get_clocks {avclk}]  0.030  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -rise_to [get_clocks {avclk}]  0.070  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -fall_to [get_clocks {avclk}]  0.070  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -rise_to [get_clocks {clk}] -setup 0.190  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -rise_to [get_clocks {clk}] -hold 0.180  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -fall_to [get_clocks {clk}] -setup 0.190  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -fall_to [get_clocks {clk}] -hold 0.180  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -rise_to [get_clocks {altera_reserved_tck}] -setup 0.200  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -rise_to [get_clocks {altera_reserved_tck}] -hold 0.190  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -fall_to [get_clocks {altera_reserved_tck}] -setup 0.200  
set_clock_uncertainty -rise_from [get_clocks {avclk}] -fall_to [get_clocks {altera_reserved_tck}] -hold 0.190  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -rise_to [get_clocks {avclk}]  0.070  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -fall_to [get_clocks {avclk}]  0.070  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -rise_to [get_clocks {clk}] -setup 0.190  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -rise_to [get_clocks {clk}] -hold 0.180  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -fall_to [get_clocks {clk}] -setup 0.190  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -fall_to [get_clocks {clk}] -hold 0.180  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -rise_to [get_clocks {altera_reserved_tck}] -setup 0.200  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -rise_to [get_clocks {altera_reserved_tck}] -hold 0.190  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -fall_to [get_clocks {altera_reserved_tck}] -setup 0.200  
set_clock_uncertainty -fall_from [get_clocks {avclk}] -fall_to [get_clocks {altera_reserved_tck}] -hold 0.190  
set_clock_uncertainty -rise_from [get_clocks {clk}] -rise_to [get_clocks {avclk}] -setup 0.180  
set_clock_uncertainty -rise_from [get_clocks {clk}] -rise_to [get_clocks {avclk}] -hold 0.190  
set_clock_uncertainty -rise_from [get_clocks {clk}] -fall_to [get_clocks {avclk}] -setup 0.180  
set_clock_uncertainty -rise_from [get_clocks {clk}] -fall_to [get_clocks {avclk}] -hold 0.190  
set_clock_uncertainty -rise_from [get_clocks {clk}] -rise_to [get_clocks {clk}]  0.070  
set_clock_uncertainty -rise_from [get_clocks {clk}] -fall_to [get_clocks {clk}]  0.070  
set_clock_uncertainty -fall_from [get_clocks {clk}] -rise_to [get_clocks {avclk}] -setup 0.180  
set_clock_uncertainty -fall_from [get_clocks {clk}] -rise_to [get_clocks {avclk}] -hold 0.190  
set_clock_uncertainty -fall_from [get_clocks {clk}] -fall_to [get_clocks {avclk}] -setup 0.180  
set_clock_uncertainty -fall_from [get_clocks {clk}] -fall_to [get_clocks {avclk}] -hold 0.190  
set_clock_uncertainty -fall_from [get_clocks {clk}] -rise_to [get_clocks {clk}]  0.070  
set_clock_uncertainty -fall_from [get_clocks {clk}] -fall_to [get_clocks {clk}]  0.070  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {avclk}] -setup 0.190  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {avclk}] -hold 0.200  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {avclk}] -setup 0.190  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {avclk}] -hold 0.200  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.070  
set_clock_uncertainty -rise_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.070  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {avclk}] -setup 0.190  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {avclk}] -hold 0.200  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {avclk}] -setup 0.190  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {avclk}] -hold 0.200  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -rise_to [get_clocks {altera_reserved_tck}]  0.070  
set_clock_uncertainty -fall_from [get_clocks {altera_reserved_tck}] -fall_to [get_clocks {altera_reserved_tck}]  0.070  


#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay -max -clock [get_clocks {altera_reserved_tck}]  11.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay -min -clock [get_clocks {altera_reserved_tck}]  9.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay -max -clock [get_clocks {altera_reserved_tck}]  11.000 [get_ports {altera_reserved_tms}]
set_input_delay -add_delay -min -clock [get_clocks {altera_reserved_tck}]  9.000 [get_ports {altera_reserved_tms}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[0]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[1]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[2]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[3]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[4]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[5]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[6]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[7]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[8]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[9]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[10]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[11]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[12]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[13]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[14]}]
set_input_delay -add_delay  -clock [get_clocks {sdclk}]  2.700 [get_ports {mem_dq[15]}]


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay -max -clock [get_clocks {altera_reserved_tck}]  15.000 [get_ports {altera_reserved_tdo}]
set_output_delay -add_delay -min -clock [get_clocks {altera_reserved_tck}]  6.000 [get_ports {altera_reserved_tdo}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {flash_ce_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {flash_ce_n}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {flash_oe_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {flash_oe_n}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {flash_we_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {flash_we_n}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[0]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[0]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[1]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[1]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[2]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[2]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[3]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[3]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[4]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[4]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[5]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[5]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[6]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[6]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[7]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[7]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[8]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[8]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[9]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[9]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[10]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[10]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[11]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[11]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[12]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[12]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[13]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[13]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[14]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[14]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[15]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[15]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[16]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[16]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[17]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[17]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[18]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[18]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[19]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[19]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[20]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[20]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_a[21]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_a[21]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[0]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[0]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[1]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[1]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[2]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[2]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[3]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[3]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[4]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[4]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[5]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[5]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[6]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[6]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[7]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[7]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[8]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[8]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[9]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[9]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[10]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[10]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[11]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[11]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[12]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[12]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[13]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[13]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[14]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[14]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {mem_dq[15]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {mem_dq[15]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_ba[0]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_ba[0]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_ba[1]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_ba[1]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_cas_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_cas_n}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_cke}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_cke}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_cs_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_cs_n}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_dqm[0]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_dqm[0]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_dqm[1]}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_dqm[1]}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_ras_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_ras_n}]
set_output_delay -add_delay -max -clock [get_clocks {sdclk}]  1.500 [get_ports {sdram_we_n}]
set_output_delay -add_delay -min -clock [get_clocks {sdclk}]  -1.000 [get_ports {sdram_we_n}]


#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 
set_clock_groups -asynchronous -group [get_clocks {avclk}] -group [get_clocks {sdclk}] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from [get_ports {reset_n}] 
set_false_path -from [get_ports {pa_pin[*]}] 
set_false_path -from [get_ports {pb_pin[*]}] 
set_false_path -from [get_ports {pc_pin[*]}] 
set_false_path -from [get_ports {pd_pin[*]}] 
set_false_path -from [get_ports {pe_pin[*]}] 
set_false_path -to [get_ports {pa_pin[*]}]
set_false_path -to [get_ports {pb_pin[*]}]
set_false_path -to [get_ports {pc_pin[*]}]
set_false_path -to [get_ports {pd_pin[*]}]
set_false_path -to [get_ports {pe_pin[*]}]
set_false_path -to [get_ports {flash_rst_n}]
set_false_path -to [get_ports {sdram_clk}]
set_false_path -from [get_pins {u0|altpll|sd1|pll7|clk[0]}] -to [get_keepers {keim08core_jtaguart:u0|altera_onchip_flash:onchip_flash|altera_onchip_flash_avmm_data_controller:avmm_data_controller|flash_se_neg_reg}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|jupdate}] -to [get_registers {*|alt_jtag_atlantic:*|jupdate1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|rdata[*]}] -to [get_registers {*|alt_jtag_atlantic*|td_shift[*]}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|read}] -to [get_registers {*|alt_jtag_atlantic:*|read1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|read_req}] 
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|rvalid}] -to [get_registers {*|alt_jtag_atlantic*|td_shift[*]}]
set_false_path -from [get_registers {*|t_dav}] -to [get_registers {*|alt_jtag_atlantic:*|tck_t_dav}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|user_saw_rvalid}] -to [get_registers {*|alt_jtag_atlantic:*|rvalid0*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|wdata[*]}] -to [get_registers *]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write}] -to [get_registers {*|alt_jtag_atlantic:*|write1*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_stalled}] -to [get_registers {*|alt_jtag_atlantic:*|t_ena*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_stalled}] -to [get_registers {*|alt_jtag_atlantic:*|t_pause*}]
set_false_path -from [get_registers {*|alt_jtag_atlantic:*|write_valid}] 
set_false_path -to [get_keepers {*altera_std_synchronizer:*|din_s1}]
set_false_path -to [get_pins -nocase -compatibility_mode {*|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain*|clrn}]
set_false_path -from [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_break:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_break|break_readreg*}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck|*sr*}]
set_false_path -from [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug|*resetlatch}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck|*sr[33]}]
set_false_path -from [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug|monitor_ready}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck|*sr[0]}]
set_false_path -from [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug|monitor_error}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck|*sr[34]}]
set_false_path -from [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_nios2_ocimem:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_ocimem|*MonDReg*}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck|*sr*}]
set_false_path -from [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_tck|*sr*}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_sysclk:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_sysclk|*jdo*}]
set_false_path -from [get_keepers {sld_hub:*|irf_reg*}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_wrapper|keim08core_jtaguart_nios2_gen2_cpu_debug_slave_sysclk:the_keim08core_jtaguart_nios2_gen2_cpu_debug_slave_sysclk|ir*}]
set_false_path -from [get_keepers {sld_hub:*|sld_shadow_jsm:shadow_jsm|state[1]}] -to [get_keepers {*keim08core_jtaguart_nios2_gen2_cpu:*|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci|keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug:the_keim08core_jtaguart_nios2_gen2_cpu_nios2_oci_debug|monitor_go}]


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************

set_max_delay -from [get_registers {*altera_avalon_st_clock_crosser:*|in_data_buffer*}] -to [get_registers {*altera_avalon_st_clock_crosser:*|out_data_buffer*}] 100.000
set_max_delay -from [get_registers *] -to [get_registers {*altera_avalon_st_clock_crosser:*|altera_std_synchronizer_nocut:*|din_s1}] 100.000


#**************************************************************
# Set Minimum Delay
#**************************************************************

set_min_delay -from [get_registers {*altera_avalon_st_clock_crosser:*|in_data_buffer*}] -to [get_registers {*altera_avalon_st_clock_crosser:*|out_data_buffer*}] -100.000
set_min_delay -from [get_registers *] -to [get_registers {*altera_avalon_st_clock_crosser:*|altera_std_synchronizer_nocut:*|din_s1}] -100.000


#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Net Delay
#**************************************************************

set_net_delay -max 2.000 -from [get_registers {*altera_avalon_st_clock_crosser:*|in_data_buffer*}] -to [get_registers {*altera_avalon_st_clock_crosser:*|out_data_buffer*}]
set_net_delay -max 2.000 -from [get_registers *] -to [get_registers {*altera_avalon_st_clock_crosser:*|altera_std_synchronizer_nocut:*|din_s1}]
