/*
 * "Hello World" example.
 *
 * This example prints 'Hello from Nios II' to the STDOUT stream. It runs on
 * the Nios II 'standard', 'full_featured', 'fast', and 'low_cost' example
 * designs. It runs with or without the MicroC/OS-II RTOS and requires a STDOUT
 * device in your system's hardware.
 * The memory footprint of this hosted application is ~69 kbytes by default
 * using the standard reference design.
 *
 * For a reduced footprint version of this template, and an explanation of how
 * to reduce the memory footprint for a given application, see the
 * "small_hello_world" template.
 *
 */

//#include <stdio.h>
#include <unistd.h>
#include "system.h"
#include <alt_types.h>
#include <io.h>

int main()
{
	int wait_time = 500000;
	int i ;
	volatile int  led_data = 0;

//  printf("Hello from Nios II!\n");

  while (1){
	for  (i = 0; i <= 3; i++ ) {
		led_data = i & 0x3;
		IOWR_32DIRECT(PIO_LED_BASE, 0x0, led_data);
//		printf("led = %x\n", led_data);
		usleep(wait_time);
	}
  }
  return 0;
}
